import ChartVisualisation from '../clientClass';
declare class DoughnutChartVisualisation extends ChartVisualisation {
    static getModuleName(): string;
    initialise(): void;
    initSettings(): {
        options: {
            cutout: string;
        };
        datalabels: {
            textAlign: string;
            color: string;
            display: (context: any) => boolean;
            formatter: (value: any, context: any) => string;
            labels: {
                title: {
                    font: {
                        weight: string;
                        size: number;
                        color: string;
                    };
                };
            };
        };
        pluginsOptions: {
            legend: {
                display: boolean;
                position: string;
            };
        };
        toolTipOptions: {
            callbacks: {
                title(context: any): string;
                label(context: any): string;
            };
        };
        plugins: {
            id: string;
            beforeDraw(chart: any): void;
        }[];
    };
    setOptions(): {
        cutout: string;
    };
    setPluginsOptions(): {
        legend: {
            display: boolean;
            position: string;
        };
    };
    setPlugins(): {
        id: string;
        beforeDraw(chart: any): void;
    }[];
    setCentralText(): {
        id: string;
        beforeDraw(chart: any): void;
    };
    setToolTipOptions(): {
        callbacks: {
            title(context: any): string;
            label(context: any): string;
        };
    };
    setDataLabels(): {
        textAlign: string;
        color: string;
        display: (context: any) => boolean;
        formatter: (value: any, context: any) => string;
        labels: {
            title: {
                font: {
                    weight: string;
                    size: number;
                    color: string;
                };
            };
        };
    };
}
export { DoughnutChartVisualisation };
export default DoughnutChartVisualisation;
